Bug 1042782 - [RFE]: Fix Control-Alt-Delete functionality in console options
Summary: [RFE]: Fix Control-Alt-Delete functionality in console options
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-userportal
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Frantisek Kobzik
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On: 1023447 1029441
Blocks: 859036 948746
TreeView+ depends on / blocked
 
Reported: 2013-12-13 11:22 UTC by Michal Skrivanek
Modified: 2014-12-15 12:46 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Enhancement
Doc Text:
Clone Of: 1029441
Environment:
Last Closed: 2014-03-31 15:04:19 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 21174 None None None Never

Description Michal Skrivanek 2013-12-13 11:22:01 UTC
+++ This bug was initially created as a clone of Bug #1029441 +++

Description of problem:
Currently engine allows user to enable "pass c-a-d to virtual machine" per vm. When enabled, this features should redirect c-a-d keystroke from the client machine to the guest. However there are problems with current windows versions (> xp) since (for security reasons) the client OS always catches c-a-d keystroke.

Solution:
To solve this problem engine should utilize virt-viewer feature that allow mapping c-a-d to arbitrary keystroke (e.g. ctrl-alt-end) via the "hotkeys" option. The original "pass c-a-d option" will be removed.

This feature will be available for both SPICE and VNC protocols.

Comment 1 Frantisek Kobzik 2014-01-08 08:41:03 UTC
merged u/s: as e29af9398c907d834431deadc441c83f803c85ef

Comment 2 Sandro Bonazzola 2014-01-13 13:56:28 UTC
oVirt 3.4.0 alpha has been released including the fix for this issue.

Comment 3 Pavel Novotny 2014-03-20 17:28:23 UTC
Verified in downstream rhevm-3.4.0-0.9.beta1.el6ev (av3.1).

VM Console Options dialog now has option "Map control-alt-del shortcut to ctrl+alt+end" as replacement for "Pass Ctrl-Alt-Del to virtual machine".
If checked, keystroke Ctrl+Alt+End is passed to the guest (VM) as Ctrl+Alt+Del. This works for VNC console as well as for SPICE console.
The mapping is passed to the Virt Viewer in the console.vv file as argument "secure-attention=ctrl+alt+end".

Verified on clients (systems from were the VM console has been opened): Windows XP, Windows 7 x64 and RHEL 6.

Comment 4 Sandro Bonazzola 2014-03-31 15:04:19 UTC
This is an automated message: moving to Closed CURRENT_RELEASE since oVirt 3.4.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.